
#include <qpushbutton.h>
#include "qt_examp.h"

/* The constructor of our push button class. Connects the "clicked" callback
   (a.k.a. slot) to the corresponding signal. */

MyPushButton::MyPushButton( char *str, QWidget *w ) :
  QPushButton( str, w )
{
  QObject::connect( this, SIGNAL( clicked() ), this, SLOT( clickedcb() ) );
}
